package common

import (
	"errors"
	"fmt"
	"os"
)

var giteaToken, obsToken string

func RequireGiteaSecretToken() error {
	giteaToken = os.Getenv(GiteaTokenEnv)
	if len(giteaToken) < 10 {
		return errors.New(GiteaTokenEnv + " not provided")
	}

	err := os.Setenv(GiteaTokenEnv, "")
	if err != nil {
		return fmt.Errorf("%s: %v", "Cannot reset "+GiteaTokenEnv, err)
	}

	return nil
}

func RequireObsSecretToken() error {
	return nil
}

